Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sx::Sx::ClientInfo Struct Reference

Client info. More...

`import <Sx.idl;`

## Public Attributes
string | portId
| Serial access port id.
string | portName
| Serial access port name.
string | userName
| User name.
string | userIp
| User IP address (or <local> if this is a local session)

## Detailed Description

Client info.

Definition at line 17 of file Sx.idl.

## Member Data Documentation

## ◆ portId

string sx::Sx::ClientInfo::portId

Serial access port id.

Definition at line 18 of file Sx.idl.

## ◆ portName

string sx::Sx::ClientInfo::portName

Serial access port name.

Definition at line 19 of file Sx.idl.

## ◆ userIp

string sx::Sx::ClientInfo::userIp

User IP address (or <local> if this is a local session)

Definition at line 21 of file Sx.idl.

## ◆ userName

string sx::Sx::ClientInfo::userName

User name.

Definition at line 20 of file Sx.idl.

The documentation for this struct was generated from the following file:

- Sx.idl